%define xp_version 0.5
Name:          xt-dash1
Version:       19991105
Release:       %mkrel 1
Summary:       A fast, free implementation of XSLT in Java 
Group:         Development/Java
License:       BSD
Url:           http://www.blnz.com/xt/index.html
Source0:       http://www.blnz.com/xt/xt.zip
Source1:       xt-dash1-build.xml
Patch0:        xt-dash-java5-enum.patch
Patch1:        xt-dash.source.patch
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: servletapi4
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      servletapi4
Requires:      xerces-j2
Requires:      xml-commons-apis
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XT is an implementation in Java of XSL Transformations. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release} 
Requires:       jpackage-utils

%description demo
Demo for %{name}.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p0
rm -rf com/jclark/xsl/dom/SunXMLProcessorImpl.java
cp -pr %{SOURCE1} build.xml 

for j in $(find . -name "*.jar"); do
  rm -f $j
done

%build

export CLASSPATH=$(build-classpath servletapi4 xerces-j2 xml-commons-apis)
export OPT_JAR_LIST=:
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 jar
ant javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/lib/xt-dash.jar %{buildroot}%{_javadir}/xt-dash1-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf xt-dash1-%{version}.jar xt-dash1.jar
)

mkdir -p %{buildroot}%{_javadocdir}/xt-dash1-%{version}
cp -pr build/api/* %{buildroot}%{_javadocdir}/xt-dash1-%{version}
ln -sf xt-dash1-%{version} %{buildroot}%{_javadocdir}/xt-dash1

mkdir -p %{buildroot}%{_datadir}/xt-dash
rm -rf demo/*.bat
cp -pr demo %{buildroot}%{_datadir}/xt-dash

%files
%{_javadir}/xt-dash1-%{version}.jar
%{_javadir}/xt-dash1.jar
%doc *.txt

%files javadoc
%{_javadocdir}/xt-dash1-%{version}
%{_javadocdir}/xt-dash1

%files demo
%{_datadir}/xt-dash



%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 19991105-1.mga2
+ Revision: 138959
- Adapt to mageia guidelines

  + gil <gil>
    - imported package xt-dash1


* Wed Jun 29 2011 gil <gil> 20051206-0.%%mkrel
- initial rpm